<html>
<head>
<title>TestNG:  Test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>0/1/0</td>
</tr><tr>
<td>Started on:</td><td>Thu Feb 29 00:19:09 IST 2024</td>
</tr>
<tr><td>Total time:</td><td>63 seconds (63773 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-failed'>
<tr><td colspan='4' align='center'><b>FAILED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.webengage.mobile_automation.tests.InlineAppPersonalisationTest.testInAppCamp()'><b>testInAppCamp</b><br>Test class: com.webengage.mobile_automation.tests.InlineAppPersonalisationTest</td>
<td><div><pre>org.testng.internal.reflect.MethodMatcherException: 
[public void com.webengage.mobile_automation.tests.InlineAppPersonalisationTest.testInAppCamp(org.json.simple.JSONObject)] has no parameters defined but was found to be using a data provider (either explicitly specified or inherited from class level annotation).
Data provider mismatch
Method: testInAppCamp([Parameter{index=0, type=org.json.simple.JSONObject, declaredAnnotations=[]}])
Arguments: [(java.util.HashMap) {template={&quot;Expected&quot;: {
    &quot;Type&quot;: &quot;Header&quot;,
    &quot;Name&quot;: &quot;Pause Test Campaign&quot;,
    &quot;Content&quot;: {
        &quot;MessageCard&quot;: {
            &quot;HeaderLayoutDescription&quot;: &quot;Test1&quot;,
            &quot;Icon&quot;: &quot;https://cdn-icons-png.flaticon.com/128/7601/7601730.png&quot;
        },
        &quot;ButtonsCardHeaderLayout&quot;: {
            &quot;CloseButtonLabel&quot;: &quot;Close&quot;
        }
    }
}}, campaign_name=Pause Test Campaign, user_id=TestUser001}]
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
... Removed 22 stack frames</pre></div><a href='#' onClick='toggleBox("stack-trace1677793418", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace1677793418'><pre>org.testng.internal.reflect.MethodMatcherException: 
[public void com.webengage.mobile_automation.tests.InlineAppPersonalisationTest.testInAppCamp(org.json.simple.JSONObject)] has no parameters defined but was found to be using a data provider (either explicitly specified or inherited from class level annotation).
Data provider mismatch
Method: testInAppCamp([Parameter{index=0, type=org.json.simple.JSONObject, declaredAnnotations=[]}])
Arguments: [(java.util.HashMap) {template={&quot;Expected&quot;: {
    &quot;Type&quot;: &quot;Header&quot;,
    &quot;Name&quot;: &quot;Pause Test Campaign&quot;,
    &quot;Content&quot;: {
        &quot;MessageCard&quot;: {
            &quot;HeaderLayoutDescription&quot;: &quot;Test1&quot;,
            &quot;Icon&quot;: &quot;https://cdn-icons-png.flaticon.com/128/7601/7601730.png&quot;
        },
        &quot;ButtonsCardHeaderLayout&quot;: {
            &quot;CloseButtonLabel&quot;: &quot;Close&quot;
        }
    }
}}, campaign_name=Pause Test Campaign, user_id=TestUser001}]
	at org.testng.internal.reflect.DataProviderMethodMatcher.getConformingArguments(DataProviderMethodMatcher.java:46)
	at org.testng.internal.Parameters.injectParameters(Parameters.java:886)
	at org.testng.internal.invokers.MethodRunner.runInSequence(MethodRunner.java:37)
	at org.testng.internal.invokers.TestInvoker$MethodInvocationAgent.invoke(TestInvoker.java:945)
	at org.testng.internal.invokers.TestInvoker.invokeTestMethods(TestInvoker.java:193)
	at org.testng.internal.invokers.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:146)
	at org.testng.internal.invokers.TestMethodWorker.run(TestMethodWorker.java:128)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
	at org.testng.TestRunner.privateRun(TestRunner.java:808)
	at org.testng.TestRunner.run(TestRunner.java:603)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:429)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:423)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:383)
	at org.testng.SuiteRunner.run(SuiteRunner.java:326)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1249)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1169)
	at org.testng.TestNG.runSuites(TestNG.java:1092)
	at org.testng.TestNG.run(TestNG.java:1060)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>58</td>
<td>com.webengage.mobile_automation.tests.InlineAppPersonalisationTest@11bd0f3b</td></tr>
</table><p>
</body>
</html>